SIGNBIT(3)

NAME
signbit - determine whether a floating-point number's sign is negative

LIBRARY
libc

SYNOPSIS
#include <math.h>
int
signbit(real-floating x);

DESCRIPTION
The signbit() macro takes an argument of x and returns non-zero if the value of its sign is negative, otherwise 0.

SEE ALSO
fpclassify(3), math(3)

STANDARDS
The signbit() macro conforms to isoC-99.

HISTORY
The signbit() macro was added in FreeBSD 5.1.